/*  This file is part of ksquirrel-libs (http://ksquirrel.sf.net)

    Copyright (c) 2004 Dmitry Baryshev <ksquirrel@tut.by>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation;
    either version 2 of the License, or (at your option) any later
    version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.  If not, write to
    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    Boston, MA 02111-1307, USA.
*/

#ifndef KSQUIRREL_XPM_X11_RGB_NAMES
#define KSQUIRREL_XPM_X11_RGB_NAMES

#include "defs.h"

typedef struct
{
    RGBA rgba;
    char name[25];

}ATTR_ XPM_NAMED_COLOR;


static XPM_NAMED_COLOR named[] = {
{{240,248,255,255}, "AliceBlue"},
{{250,235,215,255}, "AntiqueWhite"},
{{255,239,219,255}, "AntiqueWhite1"},
{{238,223,204,255}, "AntiqueWhite2"},
{{205,192,176,255}, "AntiqueWhite3"},
{{139,131,120,255}, "AntiqueWhite4"},
{{255,235,205,255}, "BlanchedAlmond"},
{{138,43,226,255}, "BlueViolet"},
{{95,158,160,255}, "CadetBlue"},
{{152,245,255,255}, "CadetBlue1"},
{{142,229,238,255}, "CadetBlue2"},
{{122,197,205,255}, "CadetBlue3"},
{{83,134,139,255}, "CadetBlue4"},
{{100,149,237,255}, "CornflowerBlue"},
{{0,0,139,255}, "DarkBlue"},
{{0,139,139,255}, "DarkCyan"},
{{184,134,11,255}, "DarkGoldenrod"},
{{255,185,15,255}, "DarkGoldenrod1"},
{{238,173,14,255}, "DarkGoldenrod2"},
{{205,149,12,255}, "DarkGoldenrod3"},
{{139,101,8,255}, "DarkGoldenrod4"},
{{169,169,169,255}, "DarkGray"},
{{0,100,0,255}, "DarkGreen"},
{{169,169,169,255}, "DarkGrey"},
{{189,183,107,255}, "DarkKhaki"},
{{139,0,139,255}, "DarkMagenta"},
{{85,107,47,255}, "DarkOliveGreen"},
{{202,255,112,255}, "DarkOliveGreen1"},
{{188,238,104,255}, "DarkOliveGreen2"},
{{162,205,90,255}, "DarkOliveGreen3"},
{{110,139,61,255}, "DarkOliveGreen4"},
{{255,140,0,255}, "DarkOrange"},
{{255,127,0,255}, "DarkOrange1"},
{{238,118,0,255}, "DarkOrange2"},
{{205,102,0,255}, "DarkOrange3"},
{{139,69,0,255}, "DarkOrange4"},
{{153,50,204,255}, "DarkOrchid"},
{{191,62,255,255}, "DarkOrchid1"},
{{178,58,238,255}, "DarkOrchid2"},
{{154,50,205,255}, "DarkOrchid3"},
{{104,34,139,255}, "DarkOrchid4"},
{{139,0,0,255}, "DarkRed"},
{{233,150,122,255}, "DarkSalmon"},
{{143,188,143,255}, "DarkSeaGreen"},
{{193,255,193,255}, "DarkSeaGreen1"},
{{180,238,180,255}, "DarkSeaGreen2"},
{{155,205,155,255}, "DarkSeaGreen3"},
{{105,139,105,255}, "DarkSeaGreen4"},
{{72,61,139,255}, "DarkSlateBlue"},
{{47,79,79,255}, "DarkSlateGray"},
{{151,255,255,255}, "DarkSlateGray1"},
{{141,238,238,255}, "DarkSlateGray2"},
{{121,205,205,255}, "DarkSlateGray3"},
{{82,139,139,255}, "DarkSlateGray4"},
{{47,79,79,255}, "DarkSlateGrey"},
{{0,206,209,255}, "DarkTurquoise"},
{{148,0,211,255}, "DarkViolet"},
{{255,20,147,255}, "DeepPink"},
{{255,20,147,255}, "DeepPink1"},
{{238,18,137,255}, "DeepPink2"},
{{205,16,118,255}, "DeepPink3"},
{{139,10,80,255}, "DeepPink4"},
{{0,191,255,255}, "DeepSkyBlue"},
{{0,191,255,255}, "DeepSkyBlue1"},
{{0,178,238,255}, "DeepSkyBlue2"},
{{0,154,205,255}, "DeepSkyBlue3"},
{{0,104,139,255}, "DeepSkyBlue4"},
{{105,105,105,255}, "DimGray"},
{{105,105,105,255}, "DimGrey"},
{{30,144,255,255}, "DodgerBlue"},
{{30,144,255,255}, "DodgerBlue1"},
{{28,134,238,255}, "DodgerBlue2"},
{{24,116,205,255}, "DodgerBlue3"},
{{16,78,139,255}, "DodgerBlue4"},
{{255,250,240,255}, "FloralWhite"},
{{34,139,34,255}, "ForestGreen"},
{{248,248,255,255}, "GhostWhite"},
{{173,255,47,255}, "GreenYellow"},
{{255,105,180,255}, "HotPink"},
{{255,110,180,255}, "HotPink1"},
{{238,106,167,255}, "HotPink2"},
{{205,96,144,255}, "HotPink3"},
{{139,58,98,255}, "HotPink4"},
{{205,92,92,255}, "IndianRed"},
{{255,106,106,255}, "IndianRed1"},
{{238,99,99,255}, "IndianRed2"},
{{205,85,85,255}, "IndianRed3"},
{{139,58,58,255}, "IndianRed4"},
{{255,240,245,255}, "LavenderBlush"},
{{255,240,245,255}, "LavenderBlush1"},
{{238,224,229,255}, "LavenderBlush2"},
{{205,193,197,255}, "LavenderBlush3"},
{{139,131,134,255}, "LavenderBlush4"},
{{124,252,0,255}, "LawnGreen"},
{{255,250,205,255}, "LemonChiffon"},
{{255,250,205,255}, "LemonChiffon1"},
{{238,233,191,255}, "LemonChiffon2"},
{{205,201,165,255}, "LemonChiffon3"},
{{139,137,112,255}, "LemonChiffon4"},
{{173,216,230,255}, "LightBlue"},
{{191,239,255,255}, "LightBlue1"},
{{178,223,238,255}, "LightBlue2"},
{{154,192,205,255}, "LightBlue3"},
{{104,131,139,255}, "LightBlue4"},
{{240,128,128,255}, "LightCoral"},
{{224,255,255,255}, "LightCyan"},
{{224,255,255,255}, "LightCyan1"},
{{209,238,238,255}, "LightCyan2"},
{{180,205,205,255}, "LightCyan3"},
{{122,139,139,255}, "LightCyan4"},
{{238,221,130,255}, "LightGoldenrod"},
{{255,236,139,255}, "LightGoldenrod1"},
{{238,220,130,255}, "LightGoldenrod2"},
{{205,190,112,255}, "LightGoldenrod3"},
{{139,129,76,255}, "LightGoldenrod4"},
{{250,250,210,255}, "LightGoldenrodYellow"},
{{211,211,211,255}, "LightGray"},
{{144,238,144,255}, "LightGreen"},
{{211,211,211,255}, "LightGrey"},
{{255,182,193,255}, "LightPink"},
{{255,174,185,255}, "LightPink1"},
{{238,162,173,255}, "LightPink2"},
{{205,140,149,255}, "LightPink3"},
{{139,95,101,255}, "LightPink4"},
{{255,160,122,255}, "LightSalmon"},
{{255,160,122,255}, "LightSalmon1"},
{{238,149,114,255}, "LightSalmon2"},
{{205,129,98,255}, "LightSalmon3"},
{{139,87,66,255}, "LightSalmon4"},
{{32,178,170,255}, "LightSeaGreen"},
{{135,206,250,255}, "LightSkyBlue"},
{{176,226,255,255}, "LightSkyBlue1"},
{{164,211,238,255}, "LightSkyBlue2"},
{{141,182,205,255}, "LightSkyBlue3"},
{{96,123,139,255}, "LightSkyBlue4"},
{{132,112,255,255}, "LightSlateBlue"},
{{119,136,153,255}, "LightSlateGray"},
{{119,136,153,255}, "LightSlateGrey"},
{{176,196,222,255}, "LightSteelBlue"},
{{202,225,255,255}, "LightSteelBlue1"},
{{188,210,238,255}, "LightSteelBlue2"},
{{162,181,205,255}, "LightSteelBlue3"},
{{110,123,139,255}, "LightSteelBlue4"},
{{255,255,224,255}, "LightYellow"},
{{255,255,224,255}, "LightYellow1"},
{{238,238,209,255}, "LightYellow2"},
{{205,205,180,255}, "LightYellow3"},
{{139,139,122,255}, "LightYellow4"},
{{50,205,50,255}, "LimeGreen"},
{{102,205,170,255}, "MediumAquamarine"},
{{0,0,205,255}, "MediumBlue"},
{{186,85,211,255}, "MediumOrchid"},
{{224,102,255,255}, "MediumOrchid1"},
{{209,95,238,255}, "MediumOrchid2"},
{{180,82,205,255}, "MediumOrchid3"},
{{122,55,139,255}, "MediumOrchid4"},
{{147,112,219,255}, "MediumPurple"},
{{171,130,255,255}, "MediumPurple1"},
{{159,121,238,255}, "MediumPurple2"},
{{137,104,205,255}, "MediumPurple3"},
{{93,71,139,255}, "MediumPurple4"},
{{60,179,113,255}, "MediumSeaGreen"},
{{123,104,238,255}, "MediumSlateBlue"},
{{0,250,154,255}, "MediumSpringGreen"},
{{72,209,204,255}, "MediumTurquoise"},
{{199,21,133,255}, "MediumVioletRed"},
{{25,25,112,255}, "MidnightBlue"},
{{245,255,250,255}, "MintCream"},
{{255,228,225,255}, "MistyRose"},
{{255,228,225,255}, "MistyRose1"},
{{238,213,210,255}, "MistyRose2"},
{{205,183,181,255}, "MistyRose3"},
{{139,125,123,255}, "MistyRose4"},
{{255,222,173,255}, "NavajoWhite"},
{{255,222,173,255}, "NavajoWhite1"},
{{238,207,161,255}, "NavajoWhite2"},
{{205,179,139,255}, "NavajoWhite3"},
{{139,121,94,255}, "NavajoWhite4"},
{{0,0,128,255}, "NavyBlue"},
{{253,245,230,255}, "OldLace"},
{{107,142,35,255}, "OliveDrab"},
{{192,255,62,255}, "OliveDrab1"},
{{179,238,58,255}, "OliveDrab2"},
{{154,205,50,255}, "OliveDrab3"},
{{105,139,34,255}, "OliveDrab4"},
{{255,69,0,255}, "OrangeRed"},
{{255,69,0,255}, "OrangeRed1"},
{{238,64,0,255}, "OrangeRed2"},
{{205,55,0,255}, "OrangeRed3"},
{{139,37,0,255}, "OrangeRed4"},
{{238,232,170,255}, "PaleGoldenrod"},
{{152,251,152,255}, "PaleGreen"},
{{154,255,154,255}, "PaleGreen1"},
{{144,238,144,255}, "PaleGreen2"},
{{124,205,124,255}, "PaleGreen3"},
{{84,139,84,255}, "PaleGreen4"},
{{175,238,238,255}, "PaleTurquoise"},
{{187,255,255,255}, "PaleTurquoise1"},
{{174,238,238,255}, "PaleTurquoise2"},
{{150,205,205,255}, "PaleTurquoise3"},
{{102,139,139,255}, "PaleTurquoise4"},
{{219,112,147,255}, "PaleVioletRed"},
{{255,130,171,255}, "PaleVioletRed1"},
{{238,121,159,255}, "PaleVioletRed2"},
{{205,104,137,255}, "PaleVioletRed3"},
{{139,71,93,255}, "PaleVioletRed4"},
{{255,239,213,255}, "PapayaWhip"},
{{255,218,185,255}, "PeachPuff"},
{{255,218,185,255}, "PeachPuff1"},
{{238,203,173,255}, "PeachPuff2"},
{{205,175,149,255}, "PeachPuff3"},
{{139,119,101,255}, "PeachPuff4"},
{{176,224,230,255}, "PowderBlue"},
{{188,143,143,255}, "RosyBrown"},
{{255,193,193,255}, "RosyBrown1"},
{{238,180,180,255}, "RosyBrown2"},
{{205,155,155,255}, "RosyBrown3"},
{{139,105,105,255}, "RosyBrown4"},
{{65,105,225,255}, "RoyalBlue"},
{{72,118,255,255}, "RoyalBlue1"},
{{67,110,238,255}, "RoyalBlue2"},
{{58,95,205,255}, "RoyalBlue3"},
{{39,64,139,255}, "RoyalBlue4"},
{{139,69,19,255}, "SaddleBrown"},
{{244,164,96,255}, "SandyBrown"},
{{46,139,87,255}, "SeaGreen"},
{{84,255,159,255}, "SeaGreen1"},
{{78,238,148,255}, "SeaGreen2"},
{{67,205,128,255}, "SeaGreen3"},
{{46,139,87,255}, "SeaGreen4"},
{{135,206,235,255}, "SkyBlue"},
{{135,206,255,255}, "SkyBlue1"},
{{126,192,238,255}, "SkyBlue2"},
{{108,166,205,255}, "SkyBlue3"},
{{74,112,139,255}, "SkyBlue4"},
{{106,90,205,255}, "SlateBlue"},
{{131,111,255,255}, "SlateBlue1"},
{{122,103,238,255}, "SlateBlue2"},
{{105,89,205,255}, "SlateBlue3"},
{{71,60,139,255}, "SlateBlue4"},
{{112,128,144,255}, "SlateGray"},
{{198,226,255,255}, "SlateGray1"},
{{185,211,238,255}, "SlateGray2"},
{{159,182,205,255}, "SlateGray3"},
{{108,123,139,255}, "SlateGray4"},
{{112,128,144,255}, "SlateGrey"},
{{0,255,127,255}, "SpringGreen"},
{{0,255,127,255}, "SpringGreen1"},
{{0,238,118,255}, "SpringGreen2"},
{{0,205,102,255}, "SpringGreen3"},
{{0,139,69,255}, "SpringGreen4"},
{{70,130,180,255}, "SteelBlue"},
{{99,184,255,255}, "SteelBlue1"},
{{92,172,238,255}, "SteelBlue2"},
{{79,148,205,255}, "SteelBlue3"},
{{54,100,139,255}, "SteelBlue4"},
{{208,32,144,255}, "VioletRed"},
{{255,62,150,255}, "VioletRed1"},
{{238,58,140,255}, "VioletRed2"},
{{205,50,120,255}, "VioletRed3"},
{{139,34,82,255}, "VioletRed4"},
{{245,245,245,255}, "WhiteSmoke"},
{{154,205,50,255}, "YellowGreen"},
{{240,248,255,255}, "alice"},
{{250,235,215,255}, "antique"},
{{127,255,212,255}, "aquamarine"},
{{127,255,212,255}, "aquamarine1"},
{{118,238,198,255}, "aquamarine2"},
{{102,205,170,255}, "aquamarine3"},
{{69,139,116,255}, "aquamarine4"},
{{240,255,255,255}, "azure"},
{{240,255,255,255}, "azure1"},
{{224,238,238,255}, "azure2"},
{{193,205,205,255}, "azure3"},
{{131,139,139,255}, "azure4"},
{{245,245,220,255}, "beige"},
{{255,228,196,255}, "bisque"},
{{255,228,196,255}, "bisque1"},
{{238,213,183,255}, "bisque2"},
{{205,183,158,255}, "bisque3"},
{{139,125,107,255}, "bisque4"},
{{0,0,0,255}, "black"},
{{255,235,205,255}, "blanched"},
{{138,43,226,255}, "blue"},
{{0,0,255,255}, "blue"},
{{0,0,255,255}, "blue1"},
{{0,0,238,255}, "blue2"},
{{0,0,205,255}, "blue3"},
{{0,0,139,255}, "blue4"},
{{165,42,42,255}, "brown"},
{{255,64,64,255}, "brown1"},
{{238,59,59,255}, "brown2"},
{{205,51,51,255}, "brown3"},
{{139,35,35,255}, "brown4"},
{{222,184,135,255}, "burlywood"},
{{255,211,155,255}, "burlywood1"},
{{238,197,145,255}, "burlywood2"},
{{205,170,125,255}, "burlywood3"},
{{139,115,85,255}, "burlywood4"},
{{95,158,160,255}, "cadet"},
{{127,255,0,255}, "chartreuse"},
{{127,255,0,255}, "chartreuse1"},
{{118,238,0,255}, "chartreuse2"},
{{102,205,0,255}, "chartreuse3"},
{{69,139,0,255}, "chartreuse4"},
{{210,105,30,255}, "chocolate"},
{{255,127,36,255}, "chocolate1"},
{{238,118,33,255}, "chocolate2"},
{{205,102,29,255}, "chocolate3"},
{{139,69,19,255}, "chocolate4"},
{{255,127,80,255}, "coral"},
{{255,114,86,255}, "coral1"},
{{238,106,80,255}, "coral2"},
{{205,91,69,255}, "coral3"},
{{139,62,47,255}, "coral4"},
{{100,149,237,255}, "cornflower"},
{{255,248,220,255}, "cornsilk"},
{{255,248,220,255}, "cornsilk1"},
{{238,232,205,255}, "cornsilk2"},
{{205,200,177,255}, "cornsilk3"},
{{139,136,120,255}, "cornsilk4"},
{{0,255,255,255}, "cyan"},
{{0,255,255,255}, "cyan1"},
{{0,238,238,255}, "cyan2"},
{{0,205,205,255}, "cyan3"},
{{0,139,139,255}, "cyan4"},
{{72,61,139,255}, "dark"},
{{0,100,0,255}, "dark"},
{{85,107,47,255}, "dark"},
{{255,140,0,255}, "dark"},
{{169,169,169,255}, "dark"},
{{47,79,79,255}, "dark"},
{{139,0,139,255}, "dark"},
{{169,169,169,255}, "dark"},
{{153,50,204,255}, "dark"},
{{0,0,139,255}, "dark"},
{{189,183,107,255}, "dark"},
{{148,0,211,255}, "dark"},
{{0,206,209,255}, "dark"},
{{233,150,122,255}, "dark"},
{{143,188,143,255}, "dark"},
{{0,139,139,255}, "dark"},
{{139,0,0,255}, "dark"},
{{47,79,79,255}, "dark"},
{{184,134,11,255}, "dark"},
{{255,20,147,255}, "deep"},
{{0,191,255,255}, "deep"},
{{105,105,105,255}, "dim"},
{{105,105,105,255}, "dim"},
{{30,144,255,255}, "dodger"},
{{178,34,34,255}, "firebrick"},
{{255,48,48,255}, "firebrick1"},
{{238,44,44,255}, "firebrick2"},
{{205,38,38,255}, "firebrick3"},
{{139,26,26,255}, "firebrick4"},
{{255,250,240,255}, "floral"},
{{34,139,34,255}, "forest"},
{{220,220,220,255}, "gainsboro"},
{{248,248,255,255}, "ghost"},
{{255,215,0,255}, "gold"},
{{255,215,0,255}, "gold1"},
{{238,201,0,255}, "gold2"},
{{205,173,0,255}, "gold3"},
{{139,117,0,255}, "gold4"},
{{218,165,32,255}, "goldenrod"},
{{255,193,37,255}, "goldenrod1"},
{{238,180,34,255}, "goldenrod2"},
{{205,155,29,255}, "goldenrod3"},
{{139,105,20,255}, "goldenrod4"},
{{190,190,190,255}, "gray"},
{{0,0,0,255}, "gray0"},
{{3,3,3,255}, "gray1"},
{{26,26,26,255}, "gray10"},
{{255,255,255,255}, "gray100"},
{{28,28,28,255}, "gray11"},
{{31,31,31,255}, "gray12"},
{{33,33,33,255}, "gray13"},
{{36,36,36,255}, "gray14"},
{{38,38,38,255}, "gray15"},
{{41,41,41,255}, "gray16"},
{{43,43,43,255}, "gray17"},
{{46,46,46,255}, "gray18"},
{{48,48,48,255}, "gray19"},
{{5,5,5,255}, "gray2"},
{{51,51,51,255}, "gray20"},
{{54,54,54,255}, "gray21"},
{{56,56,56,255}, "gray22"},
{{59,59,59,255}, "gray23"},
{{61,61,61,255}, "gray24"},
{{64,64,64,255}, "gray25"},
{{66,66,66,255}, "gray26"},
{{69,69,69,255}, "gray27"},
{{71,71,71,255}, "gray28"},
{{74,74,74,255}, "gray29"},
{{8,8,8,255}, "gray3"},
{{77,77,77,255}, "gray30"},
{{79,79,79,255}, "gray31"},
{{82,82,82,255}, "gray32"},
{{84,84,84,255}, "gray33"},
{{87,87,87,255}, "gray34"},
{{89,89,89,255}, "gray35"},
{{92,92,92,255}, "gray36"},
{{94,94,94,255}, "gray37"},
{{97,97,97,255}, "gray38"},
{{99,99,99,255}, "gray39"},
{{10,10,10,255}, "gray4"},
{{102,102,102,255}, "gray40"},
{{105,105,105,255}, "gray41"},
{{107,107,107,255}, "gray42"},
{{110,110,110,255}, "gray43"},
{{112,112,112,255}, "gray44"},
{{115,115,115,255}, "gray45"},
{{117,117,117,255}, "gray46"},
{{120,120,120,255}, "gray47"},
{{122,122,122,255}, "gray48"},
{{125,125,125,255}, "gray49"},
{{13,13,13,255}, "gray5"},
{{127,127,127,255}, "gray50"},
{{130,130,130,255}, "gray51"},
{{133,133,133,255}, "gray52"},
{{135,135,135,255}, "gray53"},
{{138,138,138,255}, "gray54"},
{{140,140,140,255}, "gray55"},
{{143,143,143,255}, "gray56"},
{{145,145,145,255}, "gray57"},
{{148,148,148,255}, "gray58"},
{{150,150,150,255}, "gray59"},
{{15,15,15,255}, "gray6"},
{{153,153,153,255}, "gray60"},
{{156,156,156,255}, "gray61"},
{{158,158,158,255}, "gray62"},
{{161,161,161,255}, "gray63"},
{{163,163,163,255}, "gray64"},
{{166,166,166,255}, "gray65"},
{{168,168,168,255}, "gray66"},
{{171,171,171,255}, "gray67"},
{{173,173,173,255}, "gray68"},
{{176,176,176,255}, "gray69"},
{{18,18,18,255}, "gray7"},
{{179,179,179,255}, "gray70"},
{{181,181,181,255}, "gray71"},
{{184,184,184,255}, "gray72"},
{{186,186,186,255}, "gray73"},
{{189,189,189,255}, "gray74"},
{{191,191,191,255}, "gray75"},
{{194,194,194,255}, "gray76"},
{{196,196,196,255}, "gray77"},
{{199,199,199,255}, "gray78"},
{{201,201,201,255}, "gray79"},
{{20,20,20,255}, "gray8"},
{{204,204,204,255}, "gray80"},
{{207,207,207,255}, "gray81"},
{{209,209,209,255}, "gray82"},
{{212,212,212,255}, "gray83"},
{{214,214,214,255}, "gray84"},
{{217,217,217,255}, "gray85"},
{{219,219,219,255}, "gray86"},
{{222,222,222,255}, "gray87"},
{{224,224,224,255}, "gray88"},
{{227,227,227,255}, "gray89"},
{{23,23,23,255}, "gray9"},
{{229,229,229,255}, "gray90"},
{{232,232,232,255}, "gray91"},
{{235,235,235,255}, "gray92"},
{{237,237,237,255}, "gray93"},
{{240,240,240,255}, "gray94"},
{{242,242,242,255}, "gray95"},
{{245,245,245,255}, "gray96"},
{{247,247,247,255}, "gray97"},
{{250,250,250,255}, "gray98"},
{{252,252,252,255}, "gray99"},
{{173,255,47,255}, "green"},
{{0,255,0,255}, "green"},
{{0,255,0,255}, "green1"},
{{0,238,0,255}, "green2"},
{{0,205,0,255}, "green3"},
{{0,139,0,255}, "green4"},
{{190,190,190,255}, "grey"},
{{0,0,0,255}, "grey0"},
{{3,3,3,255}, "grey1"},
{{26,26,26,255}, "grey10"},
{{255,255,255,255}, "grey100"},
{{28,28,28,255}, "grey11"},
{{31,31,31,255}, "grey12"},
{{33,33,33,255}, "grey13"},
{{36,36,36,255}, "grey14"},
{{38,38,38,255}, "grey15"},
{{41,41,41,255}, "grey16"},
{{43,43,43,255}, "grey17"},
{{46,46,46,255}, "grey18"},
{{48,48,48,255}, "grey19"},
{{5,5,5,255}, "grey2"},
{{51,51,51,255}, "grey20"},
{{54,54,54,255}, "grey21"},
{{56,56,56,255}, "grey22"},
{{59,59,59,255}, "grey23"},
{{61,61,61,255}, "grey24"},
{{64,64,64,255}, "grey25"},
{{66,66,66,255}, "grey26"},
{{69,69,69,255}, "grey27"},
{{71,71,71,255}, "grey28"},
{{74,74,74,255}, "grey29"},
{{8,8,8,255}, "grey3"},
{{77,77,77,255}, "grey30"},
{{79,79,79,255}, "grey31"},
{{82,82,82,255}, "grey32"},
{{84,84,84,255}, "grey33"},
{{87,87,87,255}, "grey34"},
{{89,89,89,255}, "grey35"},
{{92,92,92,255}, "grey36"},
{{94,94,94,255}, "grey37"},
{{97,97,97,255}, "grey38"},
{{99,99,99,255}, "grey39"},
{{10,10,10,255}, "grey4"},
{{102,102,102,255}, "grey40"},
{{105,105,105,255}, "grey41"},
{{107,107,107,255}, "grey42"},
{{110,110,110,255}, "grey43"},
{{112,112,112,255}, "grey44"},
{{115,115,115,255}, "grey45"},
{{117,117,117,255}, "grey46"},
{{120,120,120,255}, "grey47"},
{{122,122,122,255}, "grey48"},
{{125,125,125,255}, "grey49"},
{{13,13,13,255}, "grey5"},
{{127,127,127,255}, "grey50"},
{{130,130,130,255}, "grey51"},
{{133,133,133,255}, "grey52"},
{{135,135,135,255}, "grey53"},
{{138,138,138,255}, "grey54"},
{{140,140,140,255}, "grey55"},
{{143,143,143,255}, "grey56"},
{{145,145,145,255}, "grey57"},
{{148,148,148,255}, "grey58"},
{{150,150,150,255}, "grey59"},
{{15,15,15,255}, "grey6"},
{{153,153,153,255}, "grey60"},
{{156,156,156,255}, "grey61"},
{{158,158,158,255}, "grey62"},
{{161,161,161,255}, "grey63"},
{{163,163,163,255}, "grey64"},
{{166,166,166,255}, "grey65"},
{{168,168,168,255}, "grey66"},
{{171,171,171,255}, "grey67"},
{{173,173,173,255}, "grey68"},
{{176,176,176,255}, "grey69"},
{{18,18,18,255}, "grey7"},
{{179,179,179,255}, "grey70"},
{{181,181,181,255}, "grey71"},
{{184,184,184,255}, "grey72"},
{{186,186,186,255}, "grey73"},
{{189,189,189,255}, "grey74"},
{{191,191,191,255}, "grey75"},
{{194,194,194,255}, "grey76"},
{{196,196,196,255}, "grey77"},
{{199,199,199,255}, "grey78"},
{{201,201,201,255}, "grey79"},
{{20,20,20,255}, "grey8"},
{{204,204,204,255}, "grey80"},
{{207,207,207,255}, "grey81"},
{{209,209,209,255}, "grey82"},
{{212,212,212,255}, "grey83"},
{{214,214,214,255}, "grey84"},
{{217,217,217,255}, "grey85"},
{{219,219,219,255}, "grey86"},
{{222,222,222,255}, "grey87"},
{{224,224,224,255}, "grey88"},
{{227,227,227,255}, "grey89"},
{{23,23,23,255}, "grey9"},
{{229,229,229,255}, "grey90"},
{{232,232,232,255}, "grey91"},
{{235,235,235,255}, "grey92"},
{{237,237,237,255}, "grey93"},
{{240,240,240,255}, "grey94"},
{{242,242,242,255}, "grey95"},
{{245,245,245,255}, "grey96"},
{{247,247,247,255}, "grey97"},
{{250,250,250,255}, "grey98"},
{{252,252,252,255}, "grey99"},
{{240,255,240,255}, "honeydew"},
{{240,255,240,255}, "honeydew1"},
{{224,238,224,255}, "honeydew2"},
{{193,205,193,255}, "honeydew3"},
{{131,139,131,255}, "honeydew4"},
{{255,105,180,255}, "hot"},
{{205,92,92,255}, "indian"},
{{255,255,240,255}, "ivory"},
{{255,255,240,255}, "ivory1"},
{{238,238,224,255}, "ivory2"},
{{205,205,193,255}, "ivory3"},
{{139,139,131,255}, "ivory4"},
{{240,230,140,255}, "khaki"},
{{255,246,143,255}, "khaki1"},
{{238,230,133,255}, "khaki2"},
{{205,198,115,255}, "khaki3"},
{{139,134,78,255}, "khaki4"},
{{230,230,250,255}, "lavender"},
{{255,240,245,255}, "lavender"},
{{124,252,0,255}, "lawn"},
{{255,250,205,255}, "lemon"},
{{238,221,130,255}, "light"},
{{132,112,255,255}, "light"},
{{176,196,222,255}, "light"},
{{173,216,230,255}, "light"},
{{144,238,144,255}, "light"},
{{255,255,224,255}, "light"},
{{211,211,211,255}, "light"},
{{211,211,211,255}, "light"},
{{119,136,153,255}, "light"},
{{240,128,128,255}, "light"},
{{32,178,170,255}, "light"},
{{250,250,210,255}, "light"},
{{255,160,122,255}, "light"},
{{135,206,250,255}, "light"},
{{224,255,255,255}, "light"},
{{255,182,193,255}, "light"},
{{119,136,153,255}, "light"},
{{50,205,50,255}, "lime"},
{{250,240,230,255}, "linen"},
{{255,0,255,255}, "magenta"},
{{255,0,255,255}, "magenta1"},
{{238,0,238,255}, "magenta2"},
{{205,0,205,255}, "magenta3"},
{{139,0,139,255}, "magenta4"},
{{176,48,96,255}, "maroon"},
{{255,52,179,255}, "maroon1"},
{{238,48,167,255}, "maroon2"},
{{205,41,144,255}, "maroon3"},
{{139,28,98,255}, "maroon4"},
{{0,0,205,255}, "medium"},
{{186,85,211,255}, "medium"},
{{0,250,154,255}, "medium"},
{{199,21,133,255}, "medium"},
{{72,209,204,255}, "medium"},
{{102,205,170,255}, "medium"},
{{60,179,113,255}, "medium"},
{{123,104,238,255}, "medium"},
{{147,112,219,255}, "medium"},
{{25,25,112,255}, "midnight"},
{{245,255,250,255}, "mint"},
{{255,228,225,255}, "misty"},
{{255,228,181,255}, "moccasin"},
{{255,222,173,255}, "navajo"},
{{0,0,128,255}, "navy"},
{{0,0,128,255}, "navy"},
{{253,245,230,255}, "old"},
{{107,142,35,255}, "olive"},
{{255,69,0,255}, "orange"},
{{255,165,0,255}, "orange"},
{{255,165,0,255}, "orange1"},
{{238,154,0,255}, "orange2"},
{{205,133,0,255}, "orange3"},
{{139,90,0,255}, "orange4"},
{{218,112,214,255}, "orchid"},
{{255,131,250,255}, "orchid1"},
{{238,122,233,255}, "orchid2"},
{{205,105,201,255}, "orchid3"},
{{139,71,137,255}, "orchid4"},
{{175,238,238,255}, "pale"},
{{152,251,152,255}, "pale"},
{{219,112,147,255}, "pale"},
{{238,232,170,255}, "pale"},
{{255,239,213,255}, "papaya"},
{{255,218,185,255}, "peach"},
{{205,133,63,255}, "peru"},
{{255,192,203,255}, "pink"},
{{255,181,197,255}, "pink1"},
{{238,169,184,255}, "pink2"},
{{205,145,158,255}, "pink3"},
{{139,99,108,255}, "pink4"},
{{221,160,221,255}, "plum"},
{{255,187,255,255}, "plum1"},
{{238,174,238,255}, "plum2"},
{{205,150,205,255}, "plum3"},
{{139,102,139,255}, "plum4"},
{{176,224,230,255}, "powder"},
{{160,32,240,255}, "purple"},
{{155,48,255,255}, "purple1"},
{{145,44,238,255}, "purple2"},
{{125,38,205,255}, "purple3"},
{{85,26,139,255}, "purple4"},
{{255,0,0,255}, "red"},
{{255,0,0,255}, "red1"},
{{238,0,0,255}, "red2"},
{{205,0,0,255}, "red3"},
{{139,0,0,255}, "red4"},
{{188,143,143,255}, "rosy"},
{{65,105,225,255}, "royal"},
{{139,69,19,255}, "saddle"},
{{250,128,114,255}, "salmon"},
{{255,140,105,255}, "salmon1"},
{{238,130,98,255}, "salmon2"},
{{205,112,84,255}, "salmon3"},
{{139,76,57,255}, "salmon4"},
{{244,164,96,255}, "sandy"},
{{46,139,87,255}, "sea"},
{{255,245,238,255}, "seashell"},
{{255,245,238,255}, "seashell1"},
{{238,229,222,255}, "seashell2"},
{{205,197,191,255}, "seashell3"},
{{139,134,130,255}, "seashell4"},
{{160,82,45,255}, "sienna"},
{{255,130,71,255}, "sienna1"},
{{238,121,66,255}, "sienna2"},
{{205,104,57,255}, "sienna3"},
{{139,71,38,255}, "sienna4"},
{{135,206,235,255}, "sky"},
{{112,128,144,255}, "slate"},
{{112,128,144,255}, "slate"},
{{106,90,205,255}, "slate"},
{{255,250,250,255}, "snow"},
{{255,250,250,255}, "snow1"},
{{238,233,233,255}, "snow2"},
{{205,201,201,255}, "snow3"},
{{139,137,137,255}, "snow4"},
{{0,255,127,255}, "spring"},
{{70,130,180,255}, "steel"},
{{210,180,140,255}, "tan"},
{{255,165,79,255}, "tan1"},
{{238,154,73,255}, "tan2"},
{{205,133,63,255}, "tan3"},
{{139,90,43,255}, "tan4"},
{{216,191,216,255}, "thistle"},
{{255,225,255,255}, "thistle1"},
{{238,210,238,255}, "thistle2"},
{{205,181,205,255}, "thistle3"},
{{139,123,139,255}, "thistle4"},
{{255,99,71,255}, "tomato"},
{{255,99,71,255}, "tomato1"},
{{238,92,66,255}, "tomato2"},
{{205,79,57,255}, "tomato3"},
{{139,54,38,255}, "tomato4"},
{{64,224,208,255}, "turquoise"},
{{0,245,255,255}, "turquoise1"},
{{0,229,238,255}, "turquoise2"},
{{0,197,205,255}, "turquoise3"},
{{0,134,139,255}, "turquoise4"},
{{208,32,144,255}, "violet"},
{{238,130,238,255}, "violet"},
{{245,222,179,255}, "wheat"},
{{255,231,186,255}, "wheat1"},
{{238,216,174,255}, "wheat2"},
{{205,186,150,255}, "wheat3"},
{{139,126,102,255}, "wheat4"},
{{255,255,255,255}, "white"},
{{245,245,245,255}, "white"},
{{255,255,0,255}, "yellow"},
{{154,205,50,255}, "yellow"},
{{255,255,0,255}, "yellow1"},
{{238,238,0,255}, "yellow2"},
{{205,205,0,255}, "yellow3"},
{{139,139,0,255}, "yellow4"}};

#endif
